libcdr::CDRSplineToElement Class Reference documentation

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libcdr::CDRSplineToElement Class Reference
Inheritance diagram for libcdr::CDRSplineToElement:

## Public Member Functions
| CDRSplineToElement (const std::vector< std::pair< double, double > > &points)
| ~CDRSplineToElement () override
void | writeOut (librevenge::RVNGPropertyListVector &vec) const override
void | transform (const CDRTransforms &trafos) override
void | transform (const CDRTransform &trafo) override
CDRPathElement * | clone () override
Public Member Functions inherited from libcdr::CDRPathElement
| CDRPathElement ()
virtual | ~CDRPathElement ()

## Private Member Functions
unsigned | knot (unsigned i) const

## Private Attributes
std::vector< std::pair< double, double > > | m_points

## Constructor & Destructor Documentation

## ◆ CDRSplineToElement()

libcdr::CDRSplineToElement::CDRSplineToElement | ( | const std::vector< std::pair< double, double > > & | points | ) |
| inline

## ◆ ~CDRSplineToElement()

libcdr::CDRSplineToElement::~CDRSplineToElement | ( |  | ) |
| inlineoverride

## Member Function Documentation

## ◆ clone()

libcdr::CDRPathElement * libcdr::CDRSplineToElement::clone | ( |  | ) |
| overridevirtual

Implements libcdr::CDRPathElement.

## ◆ knot()

unsigned libcdr::CDRSplineToElement::knot | ( | unsigned | i | ) | const
| private

## ◆ transform() [1/2]

void libcdr::CDRSplineToElement::transform | ( | const CDRTransforms & | trafos | ) |
| overridevirtual

Implements libcdr::CDRPathElement.

## ◆ transform() [2/2]

void libcdr::CDRSplineToElement::transform | ( | const CDRTransform & | trafo | ) |
| overridevirtual

Implements libcdr::CDRPathElement.

## ◆ writeOut()

void libcdr::CDRSplineToElement::writeOut | ( | librevenge::RVNGPropertyListVector & | vec | ) | const
| overridevirtual

Implements libcdr::CDRPathElement.

## Member Data Documentation

## ◆ m_points

std::vector<std::pair<double, double> > libcdr::CDRSplineToElement::m_points
| private

The documentation for this class was generated from the following file:

- CDRPath.cpp